Library IEEE;
USE IEEE.std_logic_1164.all;
USE IEEE.std_logic_unsigned.all;

-- My Definitions --------------------------------
USE work.pkg_081006.all; 

------------------------------------------------------
-- MODULE DESCRIPTION
-- 

------------------------------------------------------

entity Localbus_Interface is 
	port( 
			Diag_Data		: in std_logic_vector(15 downto 0);
			vmeLD			: in std_logic_vector(15 downto 0);
			vmeLA			: in std_logic_vector(18 downto 0);
			vmeMEM_WE_n		: in std_logic;
			vmeMEM_OE_n		: in std_logic;
			vmeMEM_CS_n		: in std_logic;
			vmeEna_Localbus : in std_logic;
			
			LD				: out std_logic_vector(15 downto 0);
			LA				: out std_logic_vector(18 downto 0);
			MEM_WE_n		: out std_logic;
			MEM_OE_n		: out std_logic;
			MEM_CS_n		: out std_logic
			
		);
	end Localbus_Interface ;
	
architecture main of Localbus_Interface  is
	
	
	
		
--========================================================================
--========================================================================
--                    B E G I N 
--========================================================================
--========================================================================	
begin

MUX_CONTROL: 
process(vmeEna_Localbus, vmeLD, vmeLA, vmeMEM_WE_n, vmeMEM_OE_n, vmeMEM_CS_n,
		Diag_Data)
begin
	if   (vmeEna_Localbus = '1') then
		LD			<= vmeLD;			
		LA			<= vmeLA;			
		MEM_WE_n	<= vmeMEM_WE_n;		
		MEM_OE_n	<= vmeMEM_OE_n;		
		MEM_CS_n	<= vmeMEM_CS_n;	
	else
		LD			<= Diag_Data;			
		LA			<= (others => '0');			
		MEM_WE_n	<= '1';		
		MEM_OE_n	<= '1';		
		MEM_CS_n	<= '1';	
	end if;
end process;
end;               